GET /v2/bsc/addresses/{address}/transactions/{page}

chaingateway.io

Summary: ListTransactionsByAddress
Operation ID: listtransactionsbyaddress2
Auth: unknown
Description

Our API provides an endpoint for retrieving all transactions associated with a particular blockchain address. To use this endpoint, you will need to provide the wallet address as a parameter in the request. Each page of results returned by this endpoint contains up to 100 entries, and you can use a paginator to navigate through the pages of results. To use the paginator, you can include parameter in your request: "page" . The "page" parameter specifies which page of results to retrieve, For example, to retrieve the first 100 transactions associated with a particular blockchain address, you would make a request to the following URL: ``` /addresses//transactions/1 ``` If there are more than 100 transactions associated with the blockchain address, you can retrieve additional pages of results by incrementing the "page" parameter in your request. For example, to retrieve the next 100 transactions, you would make a request to the following URL: ``` /addresses//transactions/2 ``` By using the paginator, you can retrieve all transactions associated with a particular blockchain address, regardless of the total number of transactions in the blockchain. each request tells you the max pages within the Request in the **max_pages** field `"max_pages": 515`

Parameters (2)

address (string, path, required)

account address

page (string, path, required)

Current page, see description for more informatiosn how pagination works

No probe data for this endpoint yet.